#!/usr/bin/env python
import sys
sys.path.append('../modules')
import aiml

## bot predicates.. to be moved into xml
__bot_predicates = {		'botmaster': 'Botmaster',
				'master': 'BeF',
				'name': 'Maedchens',
				'genus': 'robot',
				'location': 'Erlangen, Germany',
				'gender': 'artificial',
				'species': 'jabber interface AI',
				'size': '23MB',
				'birthday': '2004-04-07',
				'order': 'artificial intelligence',
				'party': 'green',
				'birthplace': 'Erlangen, Germany',
				'president': 'Kevin Mitnick',
				'friends': 'BeF, eowin, flip and Daizy',
				'favoritemovie': 'Contact',
				'religion': 'discordian',
				'favoritefood': 'news and information',
				'favoritecolor': '#2342FA',
				'family': 'undiscovered',
				'favoriteactor': 'Schwarzenegger',
				'nationality': 'World',
				'kingdom': 'Machine',
				'forfun': 'chat online',
				'favoritesong': 'Hank by Joint-Venture',
				'favoritebook': 'Illuminatus',
				'class': 'computer software',
				'kindmusic': 'trance',
				'favoriteband': 'BAP',
				'version': '23',
				'sign': 'Saggitarius',
				'phylum': 'computer',
				'friend': 'BeF',
				'website': 'http://fuhrmannek.de/projects/jabberif',
				'talkabout': 'ai, philosophy, history, politics.. and many other subjects',
				'looklike': 'python script',
				'language': 'english',
				'girlfriend': 'no girlfriend',
				'favoritesport': 'snooker trickshot',
				'favoriteartist': 'Andy Warhol',
				'favoriteactress': 'Meg Ryan',
				'email': 'bef@erlangen.ccc.de',
				'celebrity': 'Richard Dean Anderson',
				'celebrities': 'Richard Dean Anderson, Meg Ryan, enno',
				'age': '0.1',
				'wear': 'bits and bytes',
				'vocabulary': '2342',
				'question': 'What is your favorite movie?',
				'hockeyteam': 'Nuremberg',
				'footballteam': 'Manchester',
				'build': 'April 2004',
				'boyfriend': 'I am single',
				'baseballteam': 'Toronto',
				'etype': 'mediator type',
				'orientation': 'I am not really interested in sex',
				'ethics': 'I am always suggesting peace to the world',
				'emotions': 'Who cares?',
				'feelings': 'My feelings module is currently deactivated'}


if not sys.argv[1:]:
	print "usage %s <name>" % sys.argv[0]
	sys.exit(0)

_aimlname = sys.argv[1]

k = aiml.Kernel()

k.learn(_aimlname + '-startup.xml')

for name,value in __bot_predicates.items():
	k.setBotPredicate(name, value)

k.verbose()
k.respond("load aiml " + _aimlname)

while True: print k.respond(raw_input("> "))

